Bug 1300158 - Review Request: python-editorconfig - A python based distribution of EditorConfig
Review Request: python-editorconfig - A python based distribution of EditorCo...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andy Lutomirski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-20 00:07 EST by Dennis Chen
Modified: 2016-03-09 15:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-09 10:55:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
luto: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Dennis Chen 2016-01-20 00:07:18 EST
Spec URL: https://barracks510.fedorapeople.org/packaging/python-editorconfig.spec
SRPM URL: https://barracks510.fedorapeople.org/packaging/python-editorconfig-0.12.0-1.fc23.src.rpm
Description: EditorConfig Python Core provides the same functionality as the EditorConfig C Core. EditorConfig Python core can be used as a an importable library.

Fedora Account System Username: barracks510

Koji Build Link: https://koji.fedoraproject.org/koji/taskinfo?taskID=12588706
Comment 1 Andy Lutomirski 2016-01-21 13:20:17 EST
A few comments:

rm -rf $RPM_BUILD_ROOT: shouldn't be needed

Does a simple:

%py2_install
%py3_install

not work?

You've arranged to produce scripts that use python2.  On Fedora 23 and up, should it be the other way around?

At the very top:

# sitelib for noarch packages, sitearch for others (remove the unneeded one)

please remove that comment and the sitearch macro.
Comment 3 Upstream Release Monitoring 2016-01-26 00:49:16 EST
barracks510's scratch build of python-editorconfig-0.12.0-2.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12685927
Comment 4 Andy Lutomirski 2016-02-05 15:45:27 EST
Are you planning to target some distro or distro version that doesn't have both python2 and python3?  If not, I think you could simplify this a lot.  There's a clean and simple example here:

https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

It doesn't have all the bcond stuff.

The current packaging guidelines suggest that you name your packages python2-editorconfig and python3-editorconfig.
Comment 5 Dennis Chen 2016-02-23 15:44:03 EST
Here is a new SRPM: https://barracks510.fedorapeople.org/packaging/python-editorconfig-0.12.0-3.fc23.src.rpm
And SPEC: https://barracks510.fedorapeople.org/packaging/python-editorconfig.spec

It removes all of the bcond stuff. I was using templates from several releases ago, and did not notice the changes to packaging guidelines.
Comment 6 Upstream Release Monitoring 2016-02-23 15:47:25 EST
barracks510's scratch build of python-editorconfig-0.12.0-3.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=13110768
Comment 7 Andy Lutomirski 2016-02-23 16:58:28 EST
OK as long as you either fix the python2-editorconfig package to own /usr/share/doc/python-editorconfig or merge doc/python-editorconfig into doc/python2-editorconfig.

The 3-clause BSD license is dumb, and it might be worth poking upstream to get rid of odict.py and use collections.OrderedDict instead.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package does not contain duplicates in %files.
  Note: warning: File listed twice:
  /usr/share/doc/python3-editorconfig/command_line_usage.txt
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DuplicateFiles

(I don't see why this is being printed.  I think it's fine.)

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (2 clause)", "Unknown or generated". 24 files have unknown
     license. Detailed output of licensecheck in /home/luto/devel/fedora
     /python-editorconfig/python-editorconfig/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.

Fix these:

[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/doc/python-editorconfig
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/doc/python-
     editorconfig

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 10 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:

I don't care about this for a trivial package like this:

[!]: Uses parallel make %{?_smp_mflags} macro.

[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-editorconfig , python3-editorconfig
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.


Rpmlint
-------
Checking: python2-editorconfig-0.12.0-3.fc21.noarch.rpm
          python3-editorconfig-0.12.0-3.fc21.noarch.rpm
          python-editorconfig-0.12.0-3.fc21.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
python2-editorconfig (rpmlib, GLIBC filtered):
    python(abi)

python3-editorconfig (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python2-editorconfig:
    python-editorconfig
    python2-editorconfig

python3-editorconfig:
    python3-editorconfig



Source checksums
----------------
https://github.com/editorconfig/editorconfig-core-py/archive/v0.12.0.tar.gz#/python-editorconfig-0.12.0.tar.gz :
  CHECKSUM(SHA256) this package     : 0b8e2468305b5795c2f887f936ffc461143567792eed5c81985cbc35b13a7bc0
  CHECKSUM(SHA256) upstream package : 0b8e2468305b5795c2f887f936ffc461143567792eed5c81985cbc35b13a7bc0


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -rn python-editorconfig-0.12.0-3.fc23.src.rpm
Buildroot used: fedora-21-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 8 Gwyn Ciesla 2016-02-24 16:06:00 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-editorconfig
Comment 9 Fedora Update System 2016-02-25 11:43:34 EST
python-editorconfig-0.12.0-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6baef0f808
Comment 10 Fedora Update System 2016-02-25 11:45:03 EST
python-editorconfig-0.12.0-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0110b2f589
Comment 11 Fedora Update System 2016-02-26 15:51:48 EST
python-editorconfig-0.12.0-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0110b2f589
Comment 12 Fedora Update System 2016-02-26 15:52:46 EST
python-editorconfig-0.12.0-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6baef0f808
Comment 13 Fedora Update System 2016-03-09 10:54:58 EST
python-editorconfig-0.12.0-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2016-03-09 11:22:50 EST
python-editorconfig-0.12.0-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2016-03-09 15:12:34 EST
python-editorconfig-0.12.0-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2016-03-09 15:13:41 EST
python-editorconfig-0.12.0-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.